#include <bits/stdc++.h>
using namespace std;
#define int long long
signed main()
{
int n,l,rez=-1;
cin>>n>>l;
vector<int>a(n+1);
for(int i = 1 ;i<=n;i++)
cin>>a[i];
for(int i = 1;i<=n;i++){
if(l>=a[i]){
rez=i;
break;
}
    
    
}
cout<<rez<<'\n';
return 0;
}